# struct WindowArgs |
Full name | `KParts::WindowArgs`
Definition | `#include <browserextension.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- WindowArgs ()
- WindowArgs ( const WindowArgs &args )
- WindowArgs & operator= ( const WindowArgs &args )
- WindowArgs ( const QRect &_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable )
- WindowArgs ( int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable )

#### Public Members

- int x
- int y
- int width
- int height
- bool fullscreen
- bool menuBarVisible
- bool toolBarsVisible
- bool statusBarVisible
- bool resizable
- bool lowerWindow
- WindowArgsPrivate *d

## Detailed Description

WindowArgs () | ### WindowArgs

WindowArgs ( const WindowArgs &args ) | ### WindowArgs

WindowArgs & operator= ( const WindowArgs &args ) | ### operator=

WindowArgs ( const QRect &_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable ) | ### WindowArgs

WindowArgs ( int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable ) | ### WindowArgs

int x | ### x

int y | ### y

int width | ### width

int height | ### height

bool fullscreen | ### fullscreen

bool menuBarVisible | ### menuBarVisible

bool toolBarsVisible | ### toolBarsVisible

bool statusBarVisible | ### statusBarVisible

bool resizable | ### resizable

bool lowerWindow | ### lowerWindow

WindowArgsPrivate * d | ### d

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:43:28 2001, using kdoc 2.0a53.